{
    "$graph": [
        {
            "baseCommand": "vegetation-index",
            "class": "CommandLineTool",
            "id": "#clt",
            "inputs": [
                {
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--input_reference"
                    },
                    "type": "Directory",
                    "id": "#clt/inp1"
                },
                {
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--aoi"
                    },
                    "type": "string",
                    "id": "#clt/inp2"
                }
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "/opt/anaconda/envs/env_vi/bin:/opt/anaconda/envs/env_vi/bin:/home/fbrito/.nvm/versions/node/v10.21.0/bin:/opt/anaconda/envs/notebook/bin:/opt/anaconda/bin:/usr/share/java/maven/bin:/opt/anaconda/bin:/opt/anaconda/envs/notebook/bin:/opt/anaconda/bin:/usr/share/java/maven/bin:/opt/anaconda/bin:/opt/anaconda/condabin:/opt/anaconda/envs/notebook/bin:/opt/anaconda/bin:/usr/lib64/qt-3.3/bin:/usr/share/java/maven/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/fbrito/.local/bin:/home/fbrito/bin:/home/fbrito/.local/bin:/home/fbrito/bin",
                            "envName": "PATH"
                        },
                        {
                            "envValue": "/opt/anaconda/envs/env_vi",
                            "envName": "PREFIX"
                        }
                    ],
                    "class": "EnvVarRequirement"
                },
                {
                    "class": "ResourceRequirement"
                }
            ],
            "stderr": "std.err",
            "stdout": "std.out",
            "outputs": [
                {
                    "outputBinding": {
                        "glob": "."
                    },
                    "type": "Directory",
                    "id": "#clt/results"
                }
            ]
        },
        {
            "class": "Workflow",
            "doc": "Vegetation index processor, the greatest",
            "id": "#main",
            "inputs": [
                {
                    "doc": "Area of interest in WKT",
                    "label": "Area of interest",
                    "type": "string",
                    "id": "#main/aoi"
                },
                {
                    "doc": "EO product for vegetation index",
                    "label": "EO product for vegetation index",
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#main/input_reference"
                }
            ],
            "label": "Vegetation index",
            "outputs": [
                {
                    "id": "#main/wf_outputs",
                    "outputSource": [
                        "#main/node_1/results"
                    ],
                    "type": {
                        "items": "Directory",
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/input_reference",
                            "id": "#main/node_1/inp1"
                        },
                        {
                            "source": "#main/aoi",
                            "id": "#main/node_1/inp2"
                        }
                    ],
                    "out": [
                        "#main/node_1/results"
                    ],
                    "run": "#clt",
                    "scatter": "#main/node_1/inp1",
                    "scatterMethod": "dotproduct",
                    "id": "#main/node_1"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0"
}
